Bug 164266 - %check runs life-tests on CDROM
Summary: %check runs life-tests on CDROM
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libcdio   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-26 13:52 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: libcdio-0.75-4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-01 18:32:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2005-07-26 13:52:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
The %check inside of libcdio.spec runs life-tests on the CDROM.

I am not sure if this is acceptable inside of the buildsystem (performing life network tests is considered to be non-acceptable)


Version-Release number of selected component (if applicable):
libcdio-0.75-2

How reproducible:
Always

Steps to Reproduce:

  

Additional info:

Comment 1 Adrian Reber 2005-07-26 14:05:13 UTC
The test on the CDROM is only run if actually a disc is in the drive. I have no
problem disabling this test if you really think that this is serious problem.

I will write a mail to fedora-extras to see what the others think about it.

Comment 2 Ville Skyttä 2005-08-01 07:56:46 UTC
Wrt the extras list discussion, and without having a look at this package, I 
tend to think that it would be useful to just disable the one test accessing 
the cdrom drive, but leave others and "make check" enabled instead of 
disabling them all. 

Comment 3 Adrian Reber 2005-08-01 18:32:57 UTC
I have disabled the one test doing the drive access and requested a rebuilt.


Note You need to log in before you can comment on or make changes to this bug.